Package com.independentsoft.office.spreadsheet.drawing

# Class Picture

java.lang.Object
com.independentsoft.office.spreadsheet.drawing.Picture

All Implemented Interfaces:
  `IPicture`, `IAnchorElement`, `IGroupElement`

public class Picture extends Object implements IPicture, IGroupElement, IAnchorElement
The Class Picture.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Picture()`
  Instantiates a new picture.
  `Picture​(String filePath)`
  Instantiates a new picture.
  `Picture​(String fileName, byte[] buffer)`
  Instantiates a new picture.
  `Picture​(String fileName, InputStream stream)`
  Instantiates a new picture.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Picture`
  `clone()`
  `AlphaBiLevelEffect`
  `getAlphaBiLevelEffect()`
  Gets the alpha bi level effect.
  `AlphaInverseEffect`
  `getAlphaInverseEffect()`
  Gets the alpha inverse effect.
  `AlphaModulateEffect`
  `getAlphaModulateEffect()`
  Gets the alpha modulate effect.
  `AlphaModulateFixedEffect`
  `getAlphaModulateFixedEffect()`
  Gets the alpha modulate fixed effect.
  `AlphaReplaceEffect`
  `getAlphaReplaceEffect()`
  Gets the alpha replace effect.
  `BiLevelEffect`
  `getBiLevelEffect()`
  Gets the bi level effect.
  `BlurEffect`
  `getBlurEffect()`
  Gets the blur effect.
  `byte[]`
  `getBuffer()`
  `ColorChangeEffect`
  `getColorChangeEffect()`
  Gets the color change effect.
  `BlipCompressionType`
  `getCompressionState()`
  Gets the compression state.
  `String`
  `getDescription()`
  Gets the description.
  `DuotoneEffect`
  `getDuotoneEffect()`
  Gets the duotone effect.
  `String`
  `getFileName()`
  `FillOverlayEffect`
  `getFillOverlayEffect()`
  Gets the fill overlay effect.
  `String`
  `getID()`
  Gets the id.
  `InputStream`
  `getInputStream()`
  `PictureLocking`
  `getLocking()`
  Gets the locking.
  `LuminanceEffect`
  `getLuminanceEffect()`
  Gets the luminance effect.
  `String`
  `getMacro()`
  Gets the macro.
  `String`
  `getName()`
  Gets the name.
  `ShapeProperties`
  `getShapeProperties()`
  Gets the shape properties.
  `SolidColorReplacement`
  `getSolidColorReplacement()`
  Gets the solid color replacement.
  `SourceRectangle`
  `getSourceRectangle()`
  Gets the source rectangle.
  `Stretch`
  `getStretch()`
  Gets the stretch.
  `ShapeStyle`
  `getStyle()`
  Gets the style.
  `Tile`
  `getTile()`
  Gets the tile.
  `TintEffect`
  `getTintEffect()`
  Gets the tint effect.
  `boolean`
  `isAlphaCeilingEffect()`
  Checks if is alpha ceiling effect.
  `boolean`
  `isAlphaFloorEffect()`
  Checks if is alpha floor effect.
  `boolean`
  `isGrayScaleEffect()`
  Checks if is gray scale effect.
  `boolean`
  `isHidden()`
  Checks if is hidden.
  `boolean`
  `isPreferRelativeResize()`
  Checks if is prefer relative resize.
  `boolean`
  `isPublish()`
  Checks if is publish.
  `void`
  `load​(String filePath)`
  Load.
  `void`
  `load​(String fileName, byte[] buffer)`
  Load.
  `void`
  `load​(String fileName, InputStream stream)`
  Load.
  `void`
  `save​(OutputStream outputStream)`
  `void`
  `save​(String filePath)`
  `void`
  `save​(String filePath, boolean overwrite)`
  `void`
  `setAlphaBiLevelEffect​(AlphaBiLevelEffect alphaBiLevelEffect)`
  Sets the alpha bi level effect.
  `void`
  `setAlphaCeilingEffect​(boolean alphaCeilingEffect)`
  Sets the alpha ceiling effect.
  `void`
  `setAlphaFloorEffect​(boolean alphaFloorEffect)`
  Sets the alpha floor effect.
  `void`
  `setAlphaInverseEffect​(AlphaInverseEffect alphaInverseEffect)`
  Sets the alpha inverse effect.
  `void`
  `setAlphaModulateEffect​(AlphaModulateEffect alphaModulateEffect)`
  Sets the alpha modulate effect.
  `void`
  `setAlphaModulateFixedEffect​(AlphaModulateFixedEffect alphaModulateFixedEffect)`
  Sets the alpha modulate fixed effect.
  `void`
  `setAlphaReplaceEffect​(AlphaReplaceEffect alphaReplaceEffect)`
  Sets the alpha replace effect.
  `void`
  `setBiLevelEffect​(BiLevelEffect biLevelEffect)`
  Sets the bi level effect.
  `void`
  `setBlurEffect​(BlurEffect blurEffect)`
  Sets the blur effect.
  `void`
  `setBuffer​(byte[] buffer)`
  `void`
  `setColorChangeEffect​(ColorChangeEffect colorChangeEffect)`
  Sets the color change effect.
  `void`
  `setCompressionState​(BlipCompressionType compressionState)`
  Sets the compression state.
  `void`
  `setDescription​(String description)`
  Sets the description.
  `void`
  `setDuotoneEffect​(DuotoneEffect duotoneEffect)`
  Sets the duotone effect.
  `void`
  `setFileName​(String fileName)`
  Sets the file name.
  `void`
  `setFillOverlayEffect​(FillOverlayEffect fillOverlayEffect)`
  Sets the fill overlay effect.
  `void`
  `setGrayScaleEffect​(boolean grayScaleEffect)`
  Sets the gray scale effect.
  `void`
  `setHidden​(boolean isHidden)`
  Sets the hidden.
  `void`
  `setID​(String id)`
  Sets the id.
  `void`
  `setLocking​(PictureLocking locking)`
  Sets the locking.
  `void`
  `setLuminanceEffect​(LuminanceEffect luminanceEffect)`
  Sets the luminance effect.
  `void`
  `setMacro​(String macro)`
  Sets the macro.
  `void`
  `setName​(String name)`
  Sets the name.
  `void`
  `setPreferRelativeResize​(boolean isPreferRelativeResize)`
  Sets the prefer relative resize.
  `void`
  `setPublish​(boolean publish)`
  Sets the publish.
  `void`
  `setSolidColorReplacement​(SolidColorReplacement solidColorReplacement)`
  Sets the solid color replacement.
  `void`
  `setSourceRectangle​(SourceRectangle sourceRectangle)`
  Sets the source rectangle.
  `void`
  `setStretch​(Stretch tile)`
  Sets the stretch.
  `void`
  `setStyle​(ShapeStyle style)`
  Sets the style.
  `void`
  `setTile​(Tile tile)`
  Sets the tile.
  `void`
  `setTintEffect​(TintEffect tintEffect)`
  Sets the tint effect.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Picture

    public Picture()
    Instantiates a new picture.

  - ### Picture

    public Picture​(String filePath) throws IOException
    Instantiates a new picture.
    Parameters:
      `filePath` - the file path
    Throws:
      `IOException` - Signals that an I/O exception has occurred.

  - ### Picture

    public Picture​(String fileName, InputStream stream) throws IOException
    Instantiates a new picture.
    Parameters:
      `fileName` - the file name
      `stream` - the stream
    Throws:
      `IOException` - Signals that an I/O exception has occurred.

  - ### Picture

    public Picture​(String fileName, byte[] buffer)
    Instantiates a new picture.
    Parameters:
      `fileName` - the file name
      `buffer` - the buffer

- ## Method Details

  - ### getInputStream

    public InputStream getInputStream()
    Specified by:
      `getInputStream` in interface `IPicture`

  - ### load

    public void load​(String filePath) throws IOException
    Load.
    Parameters:
      `filePath` - the file path
    Throws:
      `IOException` - Signals that an I/O exception has occurred.

  - ### load

    public void load​(String fileName, InputStream stream) throws IOException
    Load.
    Parameters:
      `fileName` - the file name
      `stream` - the stream
    Throws:
      `IOException` - Signals that an I/O exception has occurred.

  - ### load

    public void load​(String fileName, byte[] buffer)
    Load.
    Parameters:
      `fileName` - the file name
      `buffer` - the buffer

  - ### save

    public void save​(String filePath) throws IOException
    Specified by:
      `save` in interface `IPicture`
    Throws:
      `IOException`

  - ### save

    public void save​(String filePath, boolean overwrite) throws IOException
    Specified by:
      `save` in interface `IPicture`
    Throws:
      `IOException`

  - ### save

    public void save​(OutputStream outputStream) throws IOException
    Specified by:
      `save` in interface `IPicture`
    Throws:
      `IOException`

  - ### clone

    public Picture clone()
    Specified by:
      `clone` in interface `IAnchorElement`
    Specified by:
      `clone` in interface `IGroupElement`
    Specified by:
      `clone` in interface `IPicture`
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getAlphaBiLevelEffect

    public AlphaBiLevelEffect getAlphaBiLevelEffect()
    Gets the alpha bi level effect.
    Returns:
      the alpha bi level effect

  - ### setAlphaBiLevelEffect

    public void setAlphaBiLevelEffect​(AlphaBiLevelEffect alphaBiLevelEffect)
    Sets the alpha bi level effect.
    Parameters:
      `alphaBiLevelEffect` - the new alpha bi level effect

  - ### isAlphaCeilingEffect

    public boolean isAlphaCeilingEffect()
    Checks if is alpha ceiling effect.
    Returns:
      true, if is alpha ceiling effect

  - ### setAlphaCeilingEffect

    public void setAlphaCeilingEffect​(boolean alphaCeilingEffect)
    Sets the alpha ceiling effect.
    Parameters:
      `alphaCeilingEffect` - the new alpha ceiling effect

  - ### isAlphaFloorEffect

    public boolean isAlphaFloorEffect()
    Checks if is alpha floor effect.
    Returns:
      true, if is alpha floor effect

  - ### setAlphaFloorEffect

    public void setAlphaFloorEffect​(boolean alphaFloorEffect)
    Sets the alpha floor effect.
    Parameters:
      `alphaFloorEffect` - the new alpha floor effect

  - ### getAlphaInverseEffect

    public AlphaInverseEffect getAlphaInverseEffect()
    Gets the alpha inverse effect.
    Returns:
      the alpha inverse effect

  - ### setAlphaInverseEffect

    public void setAlphaInverseEffect​(AlphaInverseEffect alphaInverseEffect)
    Sets the alpha inverse effect.
    Parameters:
      `alphaInverseEffect` - the new alpha inverse effect

  - ### getAlphaModulateEffect

    public AlphaModulateEffect getAlphaModulateEffect()
    Gets the alpha modulate effect.
    Returns:
      the alpha modulate effect

  - ### setAlphaModulateEffect

    public void setAlphaModulateEffect​(AlphaModulateEffect alphaModulateEffect)
    Sets the alpha modulate effect.
    Parameters:
      `alphaModulateEffect` - the new alpha modulate effect

  - ### getAlphaModulateFixedEffect

    public AlphaModulateFixedEffect getAlphaModulateFixedEffect()
    Gets the alpha modulate fixed effect.
    Returns:
      the alpha modulate fixed effect

  - ### setAlphaModulateFixedEffect

    public void setAlphaModulateFixedEffect​(AlphaModulateFixedEffect alphaModulateFixedEffect)
    Sets the alpha modulate fixed effect.
    Parameters:
      `alphaModulateFixedEffect` - the new alpha modulate fixed effect

  - ### getAlphaReplaceEffect

    public AlphaReplaceEffect getAlphaReplaceEffect()
    Gets the alpha replace effect.
    Returns:
      the alpha replace effect

  - ### setAlphaReplaceEffect

    public void setAlphaReplaceEffect​(AlphaReplaceEffect alphaReplaceEffect)
    Sets the alpha replace effect.
    Parameters:
      `alphaReplaceEffect` - the new alpha replace effect

  - ### getBiLevelEffect

    public BiLevelEffect getBiLevelEffect()
    Gets the bi level effect.
    Returns:
      the bi level effect

  - ### setBiLevelEffect

    public void setBiLevelEffect​(BiLevelEffect biLevelEffect)
    Sets the bi level effect.
    Parameters:
      `biLevelEffect` - the new bi level effect

  - ### getBlurEffect

    public BlurEffect getBlurEffect()
    Gets the blur effect.
    Returns:
      the blur effect

  - ### setBlurEffect

    public void setBlurEffect​(BlurEffect blurEffect)
    Sets the blur effect.
    Parameters:
      `blurEffect` - the new blur effect

  - ### getColorChangeEffect

    public ColorChangeEffect getColorChangeEffect()
    Gets the color change effect.
    Returns:
      the color change effect

  - ### setColorChangeEffect

    public void setColorChangeEffect​(ColorChangeEffect colorChangeEffect)
    Sets the color change effect.
    Parameters:
      `colorChangeEffect` - the new color change effect

  - ### getSolidColorReplacement

    public SolidColorReplacement getSolidColorReplacement()
    Gets the solid color replacement.
    Returns:
      the solid color replacement

  - ### setSolidColorReplacement

    public void setSolidColorReplacement​(SolidColorReplacement solidColorReplacement)
    Sets the solid color replacement.
    Parameters:
      `solidColorReplacement` - the new solid color replacement

  - ### getDuotoneEffect

    public DuotoneEffect getDuotoneEffect()
    Gets the duotone effect.
    Returns:
      the duotone effect

  - ### setDuotoneEffect

    public void setDuotoneEffect​(DuotoneEffect duotoneEffect)
    Sets the duotone effect.
    Parameters:
      `duotoneEffect` - the new duotone effect

  - ### getFillOverlayEffect

    public FillOverlayEffect getFillOverlayEffect()
    Gets the fill overlay effect.
    Returns:
      the fill overlay effect

  - ### setFillOverlayEffect

    public void setFillOverlayEffect​(FillOverlayEffect fillOverlayEffect)
    Sets the fill overlay effect.
    Parameters:
      `fillOverlayEffect` - the new fill overlay effect

  - ### isGrayScaleEffect

    public boolean isGrayScaleEffect()
    Checks if is gray scale effect.
    Returns:
      true, if is gray scale effect

  - ### setGrayScaleEffect

    public void setGrayScaleEffect​(boolean grayScaleEffect)
    Sets the gray scale effect.
    Parameters:
      `grayScaleEffect` - the new gray scale effect

  - ### getLuminanceEffect

    public LuminanceEffect getLuminanceEffect()
    Gets the luminance effect.
    Returns:
      the luminance effect

  - ### setLuminanceEffect

    public void setLuminanceEffect​(LuminanceEffect luminanceEffect)
    Sets the luminance effect.
    Parameters:
      `luminanceEffect` - the new luminance effect

  - ### getTintEffect

    public TintEffect getTintEffect()
    Gets the tint effect.
    Returns:
      the tint effect

  - ### setTintEffect

    public void setTintEffect​(TintEffect tintEffect)
    Sets the tint effect.
    Parameters:
      `tintEffect` - the new tint effect

  - ### getCompressionState

    public BlipCompressionType getCompressionState()
    Gets the compression state.
    Returns:
      the compression state

  - ### setCompressionState

    public void setCompressionState​(BlipCompressionType compressionState)
    Sets the compression state.
    Parameters:
      `compressionState` - the new compression state

  - ### getFileName

    public String getFileName()
    Specified by:
      `getFileName` in interface `IPicture`

  - ### setFileName

    public void setFileName​(String fileName)
    Sets the file name.
    Parameters:
      `fileName` - the new file name

  - ### getBuffer

    public byte[] getBuffer()
    Specified by:
      `getBuffer` in interface `IPicture`

  - ### setBuffer

    public void setBuffer​(byte[] buffer)
    Specified by:
      `setBuffer` in interface `IPicture`

  - ### getSourceRectangle

    public SourceRectangle getSourceRectangle()
    Gets the source rectangle.
    Returns:
      the source rectangle

  - ### setSourceRectangle

    public void setSourceRectangle​(SourceRectangle sourceRectangle)
    Sets the source rectangle.
    Parameters:
      `sourceRectangle` - the new source rectangle

  - ### getStretch

    public Stretch getStretch()
    Gets the stretch.
    Returns:
      the stretch

  - ### setStretch

    public void setStretch​(Stretch tile)
    Sets the stretch.
    Parameters:
      `tile` - the new stretch

  - ### getTile

    public Tile getTile()
    Gets the tile.
    Returns:
      the tile

  - ### setTile

    public void setTile​(Tile tile)
    Sets the tile.
    Parameters:
      `tile` - the new tile

  - ### isPublish

    public boolean isPublish()
    Checks if is publish.
    Returns:
      true, if is publish

  - ### setPublish

    public void setPublish​(boolean publish)
    Sets the publish.
    Parameters:
      `publish` - the new publish

  - ### getMacro

    public String getMacro()
    Gets the macro.
    Returns:
      the macro

  - ### setMacro

    public void setMacro​(String macro)
    Sets the macro.
    Parameters:
      `macro` - the new macro

  - ### getStyle

    public ShapeStyle getStyle()
    Gets the style.
    Returns:
      the style

  - ### setStyle

    public void setStyle​(ShapeStyle style)
    Sets the style.
    Parameters:
      `style` - the new style

  - ### getShapeProperties

    public ShapeProperties getShapeProperties()
    Gets the shape properties.
    Returns:
      the shape properties

  - ### isPreferRelativeResize

    public boolean isPreferRelativeResize()
    Checks if is prefer relative resize.
    Returns:
      true, if is prefer relative resize

  - ### setPreferRelativeResize

    public void setPreferRelativeResize​(boolean isPreferRelativeResize)
    Sets the prefer relative resize.
    Parameters:
      `isPreferRelativeResize` - the new prefer relative resize

  - ### getLocking

    public PictureLocking getLocking()
    Gets the locking.
    Returns:
      the locking

  - ### setLocking

    public void setLocking​(PictureLocking locking)
    Sets the locking.
    Parameters:
      `locking` - the new locking

  - ### getID

    public String getID()
    Gets the id.
    Returns:
      the id

  - ### setID

    public void setID​(String id)
    Sets the id.
    Parameters:
      `id` - the new id

  - ### getName

    public String getName()
    Gets the name.
    Returns:
      the name

  - ### setName

    public void setName​(String name)
    Sets the name.
    Parameters:
      `name` - the new name

  - ### getDescription

    public String getDescription()
    Gets the description.
    Returns:
      the description

  - ### setDescription

    public void setDescription​(String description)
    Sets the description.
    Parameters:
      `description` - the new description

  - ### isHidden

    public boolean isHidden()
    Checks if is hidden.
    Returns:
      true, if is hidden

  - ### setHidden

    public void setHidden​(boolean isHidden)
    Sets the hidden.
    Parameters:
      `isHidden` - the new hidden